Package ru.bitel.bgbilling.modules.bill.server.bean.extractor

# Class RSCMExtractor

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.DataExtractor
ru.bitel.bgbilling.modules.bill.server.bean.extractor.Extractor
ru.bitel.bgbilling.modules.bill.server.bean.extractor.RSCMExtractor

    public class RSCMExtractor
    extends Extractor

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RSCMExtractor()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<PositionValue>` | `extract​(java.lang.String function, java.sql.Connection con, java.lang.String cids, java.util.Calendar month, java.util.List<java.lang.String> paramList, java.lang.String posName)` |
  `boolean` | `serviceExtended​(java.util.List<PositionValue> result, java.lang.String function, java.sql.Connection con, java.lang.String cids, java.util.Calendar month, java.util.List<java.lang.String> paramList)` |
  `boolean` | `serviceSimple​(java.util.List<PositionValue> result, java.lang.String function, java.sql.Connection con, java.lang.String cids, java.util.Calendar month, java.util.List<java.lang.String> paramList)` |

  ### Methods inherited from class ru.bitel.bgbilling.modules.bill.server.bean.extractor.Extractor

  `makeTitle`

  ### Methods inherited from class ru.bitel.bgbilling.modules.bill.server.bean.DataExtractor

  `getAmount, getAmount, getAmount, getCountFromTable, getCountFromTable, getCountSession, getCountSession, getIdsFromEnd, getIntParam, getMonthParam, getSumFromTable, getSumFromTable, getSumFromTable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RSCMExtractor

    public RSCMExtractor()

- ## Method Details

  - ### extract

    public java.util.List<PositionValue> extract​(java.lang.String function, java.sql.Connection con, java.lang.String cids, java.util.Calendar month, java.util.List<java.lang.String> paramList, java.lang.String posName)
    Overrides:
      `extract` in class `Extractor`

  - ### serviceSimple

    public boolean serviceSimple​(java.util.List<PositionValue> result, java.lang.String function, java.sql.Connection con, java.lang.String cids, java.util.Calendar month, java.util.List<java.lang.String> paramList)

  - ### serviceExtended

    public boolean serviceExtended​(java.util.List<PositionValue> result, java.lang.String function, java.sql.Connection con, java.lang.String cids, java.util.Calendar month, java.util.List<java.lang.String> paramList)